HP OpenVMS Systems


HP OpenVMS Systems

OpenVMS information

» What's new on our site
» Upcoming events
» Configuration and buying assistance
» Send us your comments

HP OpenVMS systems

» OpenVMS software
» Supported Servers
» OpenVMS virtualization
» OpenVMS solutions and partners
» OpenVMS success stories
» OpenVMS service and support
» OpenVMS resources and information
» OpenVMS documentation
» Education and training


» What's New
» System Requirements
» BridgeWorks Documentation
» Download BridgeWorks
» Frequently Asked Questions
» Suggestions and Feedback
» Support and Forum
» Copyright and Trademarks

Evolving business value

» Business Systems Evolution
» AlphaServer systems transition planning
» Alpha RetainTrust program

Related links

» HP Integrity servers
» HP Alpha systems
» HP storage
» HP software
» HP products and services
» HP solutions
» HP support
disaster proof
HP Integrity server animation
HP Integrity server animation
Content starts here

HP BridgeWorks System Requirements

Platform Requirements

HP BridgeWorks is a cross-platform tool. Installation consists of:

  • An Alpha version of the OpenVMS kit, to be installed on each system on which you intend to run BridgeWorks-wrapped servers.
  • A Windows kit for Windows XP or Windows 2000, to be installed on a development machine, containing the BridgeWorks development tool, plus runtime libraries for distribution if running Windows-based components.
Industry Standard 64 (Itanium) and VAX are not supported platforms in this release. BridgeWorks Version 2.1A will continue to be available for wrapping VAX-based applications.
Targeted Platforms

The purpose of BridgeWorks is to encapsulate and distribute an Alpha-based user application. The server component encapsulates the application; the middle component distributes it. The source code for both components is generated on the Windows platform using a GUI-based development tool.

The generated source code for the server component must be built on the OpenVMS system that hosts the application. The generated source code for the middle component can be built on a networked Alpha system (clustered or not) or a networked Windows system.

Server Component
The BridgeWorks-generated server component is a native OpenVMS image installed on the system running the wrapped application (which can comprise 3GL server routines, ACMS tasks, DCL procedures, and text files.)

-Available for OpenVMS Alpha Version 7.3, 7.3-1, 7.3-2, or 8.2

Middle Component
The BridgeWorks-generated middle component is a JavaBeans, Enterprise JavaBeans (EJB), or COM server that also acts as a client to the server component to make calls to OpenVMS server routines, tasks, and procedures.

Available platforms for each component type are:

-OpenVMS Alpha Version 7.3, 7.3-1, 7.3-2, or 8.2
-Windows XP and 2000

Component Existing Application Transactions Structures
EJB 3GL, ACMS, DCL, Files Yes Yes
JavaBeans 3GL, ACMS,DCL, Files Not Applicable Yes
COM 3GL, DCL, Files No No

Not supported in this release:
Tru64 UNIX is not available as a target platform for middle components in this release.

Cross-platform limitations apply to COM in this field test:
Cross-platform COM connections - where a Windows client communicates with an Alpha-based middle component - have produced inconclusive results related to account and security issues. The following configurations are recommended instead:

1.       Windows client to Windows COM middle component.
2.       OpenVMS Alpha client to Alpha COM middle component.

Note: Your choice of component architecture should be guided by an understanding of the relative merits and limitations of each component type for your particular distributed application needs. It should take into account any preexisting middle-tier application server and client codebase.

Installation, Development, and Runtime Requirements

These are the minimum system requirements needed to install BridgeWorks and to build and run the generated components. “Optional” requirements represent requirements that are not needed for every type of connection. However, several such requirements will apply to your particular platform/component selection.

Make sure you have the latest MUPs, ECOs, and patches for your configuration.

Select OpenVMS on the Patch Download page to search for MUPs, ECOs, and patches.

Always Check Cross-Product Requirements!
Always check for cross-product software requirements, which can change with new releases. These product requirements may be greater than for BridgeWorks itself.
For example, to run a BridgeWorks-generated EJB component requires Alpha 7.3 or later and a Java 2 Runtime Environment 1.3.1 or later. Each Java SDK and RTE has specific ECO requirements. In addition, WebLogic Server 7.0 (a J2EE 1.2-compliant application server) requires Alpha 7.3 or 7.3-1, the Java 2 SDK 1.3.1-5 or later, and additional ECOs as specified.


Server Component

- Installation Requirements

-OpenvVMS Alpha Version 7.3, 7.3-1, 7.3-2, or 8.2
-4,500 blocks during installation, 3,500 blocks after installation
System requirements vary enormously depending on the way you deploy your BridgeWorks components.

- Development Requirements

The C Compiler is required to build all server components:
-Compaq C 6.5 for Alpha or later

- Optional Development Requirements

For automatic import and build features, you must enable REXEC and FTP services.
-TCP/IP Services for OpenVMS 4.2 or later

» TCP/IP for OpenVMS Home Page

- Optional Runtime Requirements

You can choose between non-transport and transport-based options:

Non-Transport-Based Connections
None for Alpha-only, nontransactional connections.

Transport-Based Connections
You can use choose either ICC (Intra-cluster Communications) or RPC, or both. (If you choose both, the BridgeWorks Manager automatically use ICC in a cluster configuration and RPC in a noncluster configuration.)

-ICC for OpenVMS Alpha Version 7.3 or later
(Bundled with operating system)
-DCE RPC Runtime Services Kit 1.5 or later

» DCE for OpenVMS Home


-Alpha DCE Denial of Service Security Patch Kit
-Alpha Security ECO Kit For SSRT3608

Middle Component

-Alpha System Recommendations for Java applications





System speed

Above 500MHz


Below 500MHz

System memory

1GB or higher


Minimum 256MB

"Average" represents the recommended minimums for deploying Enterprise JavaBeans using BEA WebLogic Server.

- Optional Development and Runtime Requirements
For middle components, similar requirements apply during development and at runtime.

For JavaBeans and EJB components
Java 2 SDK ("JDK") Standard Edition 1.3.1 or later

Runtime only
-Java 2 RTE (JRE) Standard Edition 1.3.1 or later
-Java Software Patches (ECOs): See Additional OpenVMS Requirements

» Java Technology for Alpha Download Page

For COM components only
-COM for OpenVMS 1.3
-Compaq C++ 6.5 for Alpha
-COM Denial of Service ECO kit for SSRT3608

» COM for OpenVMS Home Page
»  C++ for OpenVMS Home Page

For EJB components only
-A J2EE 1.2-compliant environment

Free 30-day evaluation license available for WebLogic Server.
Download Version 7.0 with SP1 for HP OpenVMS.
See: Additional OpenVMS Requirements

» BEA WebLogic Server Downloads Page

For Transactions (EJB components only)
-DECdtm/XA SDK 2.1
This new release of DECdtm/XA ships on OpenVMS beginning with 7.3-2. It must be installed as a layered product on Alpha 7.3 and 7.3-1.

Note: Version 2.1 is available as a layered product from the BridgeWorks Download page.

For ACMS applications
A properly configured ACMS 4.3-or-later system.


Middle Component - Installation Requirements

- Windows XP SP1 or Windows 2000 SP2 or later

Note: 2000 Server or XP Professional recommended in a production environment.
2003 Server has not been tested.

-40MB minimum free disk space
-128MB minimum RAM
-TCP/IP configured
-Internet Explorer 5.5 or later

Optional Development and Runtime Requirements

For middle components, similar requirements apply during development and at runtime.

For JavaBeans and EJB components
-Java 2 SDK (SDK) Standard Edition 1.3.1 or later

Runtime only
-Java 2 RTE ("JRE") Standard Edition 1.3.1 or later

For COM components only
-Microsoft Visual C++ 6.0 SP5

Note: Visual C++ .NET is not supported and is not a substitute.

For EJB components only
-A J2EE 1.2-compliant environment

Additional OpenVMS Requirements

ECO Downloads for Java 2 SDKs for OpenVMS

» ECO Page for 1.4.2
» ECO Page for 1.4.1
» ECO Page for 1.3.1

For BEA WebLogic for OpenVMS

» WebLogic 8.1 SP1 for OpenVMS Requirements Page
» WebLogic 7.0 or OpenVMS Requirements Page


» Return to the HP BridgeWorks home page